#ifndef __TCBCTRL_H_INCLUDED__
#define __TCBCTRL_H_INCLUDED__

#include "animation.h"


class CTCBAnimCtrl : public IAnimCtrl
{
public:
	CTCBAnimCtrl();
	~CTCBAnimCtrl();
	

	void	UpdateDerivates();
	void	UpdateQuatDerivates();
	void	EvalPos(float time, Vec3* vPos);
	void	EvalRot(float time, Quat* qRot);
protected:
	void	GetInterpKey(float time, int &keyStart, int &keyEnd, float &blendFactor);
	float	Ease(float u, float a, float b);
};


#endif	//__TCBCTRL_H_INCLUDED__